Package twisted :: Package im :: Module proxyui :: Class IRCUserInterface

[show private | hide private]
[frames | no frames]

## Class IRCUserInterface

    BaseProtocol --+
                   |
            Protocol --+
                       |
                     IRC --+
                           |
                          IRCUserInterface

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| `connectionLost(self)`
| ``connectionMade`(self)` Called when a connection is made. (inherited from `IRC`)
| ``dataReceived`(self, data)` This hack is to support mIRC, which sends LF only, even though the RFC says CRLF. (inherited from `IRC`)
| ``handleCommand`(self, command, prefix, params)` Determine the function to call for the given command and call it with the given arguments. (inherited from `IRC`)
| ``irc_unknown`(self, prefix, command, params)` Implement me! (inherited from `IRC`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `sendLine(self, line)` (inherited from `IRC`)
| ``sendMessage`(self, command, *parameter_list, **prefix)` Send a line formatted as an IRC message. (inherited from `IRC`)

Generated by Epydoc 1.1 on Thu May 8 13:18:23 2003 | http://epydoc.sf.net